package com.jpsoft.shinestar.modules.workflow.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.workflow.entity.TemplateDepartment;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface TemplateDepartmentDAO {
	int insert(TemplateDepartment entity);
	int update(TemplateDepartment entity);
	int exist(String id);
	TemplateDepartment get(String id);
	int delete(String id);
	List<TemplateDepartment> list();
	List<TemplateDepartment> findByTemplateId(String templateId);
	List<TemplateDepartment> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<TemplateDepartment> findByFormIdDepartmentId(String formId, String companyId,String personRoleId);

	TemplateDepartment findByFormId(String formId);
}